<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/zone.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/zone.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2004 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_ZONE__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_ZONE__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/vector3_8h.html">csgeom/vector3.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>;
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="code" href="structiPcCamera.html" title="The representation of a camera.">iPcCamera</a>;
<a name="l00030"></a>00030 <span class="keyword">struct </span><a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>;
<a name="l00031"></a>00031 <span class="keyword">struct </span><a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>;
<a name="l00032"></a>00032 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a>;
<a name="l00033"></a>00033 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a>;
<a name="l00034"></a>00034 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a>;
<a name="l00035"></a>00035 
<a name="l00039"></a><a class="code" href="structiCelMapFile.html">00039</a> <span class="keyword">struct </span><a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00040"></a>00040 {
<a name="l00041"></a>00041   SCF_INTERFACE (<a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a>, 0, 2, 0);
<a name="l00042"></a>00042 
<a name="l00046"></a>00046   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelMapFile.html#a00f1f335a948485a92f21e2c4fa3bdb5" title="Set the name associated with this map.">SetName</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00047"></a>00047 
<a name="l00053"></a>00053   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelMapFile.html#a25f53436a4d8933f298fef1328f2320f" title="Set the VFS path for the world file associated with this map.">SetPath</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* path) = 0;
<a name="l00054"></a>00054 
<a name="l00059"></a>00059   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelMapFile.html#ae119b82420b4c815edc54861fbff5e81" title="Set the VFS filename for the world file associated with this map.">SetFile</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* file) = 0;
<a name="l00060"></a>00060 
<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelMapFile.html#ae078eac8bbec9f037d1f740eef39e0f0" title="Get name associated with this map.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00066"></a>00066 
<a name="l00071"></a>00071   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelMapFile.html#a815a0397f8b193ecdcd0b0ff5884a0f5" title="Get the VFS path for the world file associated with this map.">GetPath</a> () <span class="keyword">const</span> = 0;
<a name="l00072"></a>00072 
<a name="l00077"></a>00077   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelMapFile.html#a4b1ae39fb3458234f2c05c5dd155492f" title="Get the VFS filename for the world file associated with this map.">GetFile</a> () <span class="keyword">const</span> = 0;
<a name="l00078"></a>00078 
<a name="l00085"></a>00085   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelMapFile.html#ab67aff32906efd54dd6e4126a7e7fc4f" title="This map file corresponds with a sector instead of a VFS path.">SetSectorName</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00086"></a>00086 
<a name="l00091"></a>00091   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelMapFile.html#a126351d015dd6b297766586b34ba80b5" title="Return the sector name if this map is represented by a single sector (i.e.">GetSectorName</a> () <span class="keyword">const</span> = 0;
<a name="l00092"></a>00092 };
<a name="l00093"></a>00093 
<a name="l00098"></a><a class="code" href="structiCelRegion.html">00098</a> <span class="keyword">struct </span><a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00099"></a>00099 {
<a name="l00100"></a>00100   SCF_INTERFACE (<a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>, 0, 3, 0);
<a name="l00101"></a>00101 
<a name="l00103"></a>00103   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelRegion.html#abea45b15c3e00f8875994f07dae6075d" title="Get the name of this region.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00104"></a>00104 
<a name="l00111"></a>00111   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelRegion.html#a8fb9c1205a1f889235e50a37ae59d67d" title="Get the name of the CS region that is used for this region.">GetCsCollectionName</a> () <span class="keyword">const</span> = 0;
<a name="l00112"></a>00112 
<a name="l00120"></a>00120   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelRegion.html#a658f8b0b4f8d0d51d119e60936dda7ae" title="Set the VFS path that will be used during the call to engine-&gt;Prepare() after loading this region...">SetCachePath</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* path) = 0;
<a name="l00121"></a>00121 
<a name="l00126"></a>00126   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelRegion.html#afac58ebcbdbf8a584e844cb8fe4a96a4" title="Get the VFS path for the cache manager.">GetCachePath</a> () <span class="keyword">const</span> = 0;
<a name="l00127"></a>00127 
<a name="l00132"></a>00132   <span class="keyword">virtual</span> <a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a>* <a class="code" href="structiCelRegion.html#af2d8c4641bb9bc26adabc0952b0e9a84" title="Create a map file for this region and associate it with this region.">CreateMapFile</a> () = 0;
<a name="l00133"></a>00133 
<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiCelRegion.html#aabc6b86ac6da65e8ba4ee55462ddccf9" title="Get the count of map files in this region.">GetMapFileCount</a> () <span class="keyword">const</span> = 0;
<a name="l00138"></a>00138 
<a name="l00142"></a>00142   <span class="keyword">virtual</span> <a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a>* <a class="code" href="structiCelRegion.html#ac88bb402a63f1b8bf29b3e60128c8863" title="Get the specified map file.">GetMapFile</a> (<span class="keywordtype">int</span> idx) <span class="keyword">const</span> = 0;
<a name="l00143"></a>00143 
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a>* <a class="code" href="structiCelRegion.html#aca7f452332bd82d251bea55289d15f7a" title="Find the specified map file.">FindMapFile</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00148"></a>00148 
<a name="l00153"></a>00153   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelRegion.html#a3b535f0ffd8f77ce428c8a05ae1fc5b5" title="Delete the given map file from this region.">RemoveMapFile</a> (<a class="code" href="structiCelMapFile.html" title="A representation of a map file for a region.">iCelMapFile</a>* mapfile) = 0;
<a name="l00154"></a>00154 
<a name="l00158"></a>00158   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelRegion.html#a41ca1239b1552fdd960ee0408920da5d" title="Remove all map files from this region.">RemoveAllMapFiles</a> () = 0;
<a name="l00159"></a>00159 
<a name="l00164"></a>00164   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelRegion.html#afa66e5a4e9eccbb68eb43a6f845943a5" title="Register an entity that should be removed as soon as this region is unloaded.">AssociateEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00165"></a>00165 
<a name="l00169"></a>00169   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelRegion.html#a9d05f184a5e570b5413535a7d27860ed" title="Unregister an entity from this region.">DissociateEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00170"></a>00170 
<a name="l00174"></a>00174   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelRegion.html#a4b9601b72ea41169e978559373feabfa" title="Determine whether the given entity is in this region.">ContainsEntity</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* entity) = 0;
<a name="l00175"></a>00175 
<a name="l00179"></a>00179   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollection.html">iCollection</a>* <a class="code" href="structiCelRegion.html#a337115bf3e7d3368cc4be4a094ffe464" title="Get the CS region that is used for this region.">GetCollection</a> () = 0;
<a name="l00180"></a>00180 };
<a name="l00181"></a>00181 
<a name="l00186"></a><a class="code" href="structiCelZone.html">00186</a> <span class="keyword">struct </span><a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00187"></a>00187 {
<a name="l00188"></a>00188   SCF_INTERFACE (<a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a>, 0, 1, 0);
<a name="l00189"></a>00189 
<a name="l00191"></a>00191   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structiCelZone.html#a7238f1f076f0c179eca53fa63d79b377" title="Get the name of this zone.">GetName</a> () <span class="keyword">const</span> = 0;
<a name="l00192"></a>00192 
<a name="l00196"></a>00196   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelZone.html#abd56564f169aa6b9d50f57856cd1ead6" title="Link a region with this zone.">LinkRegion</a> (<a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* region) = 0;
<a name="l00197"></a>00197 
<a name="l00201"></a>00201   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiCelZone.html#a78c7904687f8830093afbc0c1ad64c2d" title="Get the count of regions in this zone.">GetRegionCount</a> () <span class="keyword">const</span> = 0;
<a name="l00202"></a>00202 
<a name="l00206"></a>00206   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiCelZone.html#a2fee4cdcb5a30fd74c8c6c10900cbe32" title="Get the specified region.">GetRegion</a> (<span class="keywordtype">size_t</span> idx) <span class="keyword">const</span> = 0;
<a name="l00207"></a>00207 
<a name="l00211"></a>00211   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiCelZone.html#ab2e1706b59b65194b99f980a60069ced" title="Get the specified region.">FindRegion</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00212"></a>00212 
<a name="l00217"></a>00217   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiCelZone.html#a3df993232072b09de864dfa2b9dfa909" title="Unlink the region from this zone.">UnlinkRegion</a> (<a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* region) = 0;
<a name="l00218"></a>00218 
<a name="l00222"></a>00222   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiCelZone.html#ad4276de61daed662287e934e213471cf" title="Unlink all regions from this zone.">UnlinkAllRegions</a> () = 0;
<a name="l00223"></a>00223 };
<a name="l00224"></a>00224 
<a name="l00228"></a>00228 
<a name="l00229"></a>00229 <span class="preprocessor">#define CEL_ZONEERROR_OK 0</span>
<a name="l00230"></a>00230 <span class="preprocessor"></span>
<a name="l00232"></a>00232 <span class="preprocessor">#define CEL_ZONEERROR_BADREGION 1</span>
<a name="l00233"></a>00233 <span class="preprocessor"></span>
<a name="l00235"></a>00235 <span class="preprocessor">#define CEL_ZONEERROR_BADSTART 2</span>
<a name="l00236"></a>00236 <span class="preprocessor"></span>
<a name="l00238"></a>00238 <span class="preprocessor">#define CEL_ZONEERROR_LOAD 3</span>
<a name="l00239"></a>00239 <span class="preprocessor"></span>
<a name="l00244"></a>00244 
<a name="l00245"></a>00245 <span class="preprocessor">#define CEL_ZONE_NORMAL 0</span>
<a name="l00246"></a>00246 <span class="preprocessor"></span>
<a name="l00248"></a>00248 <span class="preprocessor">#define CEL_ZONE_KEEP 1</span>
<a name="l00249"></a>00249 <span class="preprocessor"></span>
<a name="l00251"></a>00251 <span class="preprocessor">#define CEL_ZONE_LOADALL 2</span>
<a name="l00252"></a>00252 <span class="preprocessor"></span>
<a name="l00299"></a><a class="code" href="structiPcZoneManager.html">00299</a> <span class="keyword">struct </span><a class="code" href="structiPcZoneManager.html" title="This is the zone manager.">iPcZoneManager</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00300"></a>00300 {
<a name="l00301"></a>00301   SCF_INTERFACE (<a class="code" href="structiPcZoneManager.html" title="This is the zone manager.">iPcZoneManager</a>, 0, 1, 3);
<a name="l00302"></a>00302 
<a name="l00308"></a>00308   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#add89269f0e1af37bb297529927a69e00" title="By default the zone manager will create collider wrappers (csColliderWrapper) for all objects that ar...">EnableColliderWrappers</a> (<span class="keywordtype">bool</span> en) = 0;
<a name="l00309"></a>00309 
<a name="l00313"></a>00313   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#ac7cdb771b534855856b251b0ccfc2512" title="Is collider wrapper creation enabled?">IsColliderWrappers</a> () <span class="keyword">const</span> = 0;
<a name="l00314"></a>00314 
<a name="l00323"></a>00323   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#a3de2d560ce11b784f3066b8547f94fdb" title="Set different loading mode:">SetLoadingMode</a> (<span class="keywordtype">int</span> mode) = 0;
<a name="l00324"></a>00324 
<a name="l00328"></a>00328   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiPcZoneManager.html#a58af2e1033f85ee8a57b2097a3867e47" title="Get the current loading mode.">GetLoadingMode</a> () <span class="keyword">const</span> = 0;
<a name="l00329"></a>00329 
<a name="l00336"></a>00336   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064" title="Load a zone definition from an XML node.">Load</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a>* node) = 0;
<a name="l00337"></a>00337 
<a name="l00350"></a>00350   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064" title="Load a zone definition from an XML node.">Load</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* path, <span class="keyword">const</span> <span class="keywordtype">char</span>* file) = 0;
<a name="l00351"></a>00351 
<a name="l00355"></a>00355   <span class="keyword">virtual</span> <a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a>* <a class="code" href="structiPcZoneManager.html#a80b4c297ec14ad447c9c19d3159f7608" title="Create a zone.">CreateZone</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00356"></a>00356 
<a name="l00360"></a>00360   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcZoneManager.html#a5b0e1ff1c1a70fae0076b2fafbcc3fbb" title="Get the count of zones.">GetZoneCount</a> () <span class="keyword">const</span> = 0;
<a name="l00361"></a>00361 
<a name="l00365"></a>00365   <span class="keyword">virtual</span> <a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a>* <a class="code" href="structiPcZoneManager.html#a2eb075573eb8bb1956896bcfe2b1895b" title="Get the specified zone.">GetZone</a> (<span class="keywordtype">int</span> idx) <span class="keyword">const</span> = 0;
<a name="l00366"></a>00366 
<a name="l00370"></a>00370   <span class="keyword">virtual</span> <a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a>* <a class="code" href="structiPcZoneManager.html#a1852efafce826fcf486e8b4ca735253c" title="Get the specified zone.">FindZone</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00371"></a>00371 
<a name="l00376"></a>00376   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#a402627052fbb1de675e74218ba1fb0e8" title="Delete the given zone.">RemoveZone</a> (<a class="code" href="structiCelZone.html" title="A zone.">iCelZone</a>* zone) = 0;
<a name="l00377"></a>00377 
<a name="l00381"></a>00381   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#a973b3fbc9c3a9c09e3ed26d7d5539847" title="Remove all zones.">RemoveAllZones</a> () = 0;
<a name="l00382"></a>00382 
<a name="l00386"></a>00386   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiPcZoneManager.html#ab1960c75e227d97c34bfae8e382fcc4d" title="Create a region.">CreateRegion</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) = 0;
<a name="l00387"></a>00387 
<a name="l00391"></a>00391   <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> <a class="code" href="structiPcZoneManager.html#aa0acf18a8435c0f8ff1570be4f551901" title="Get the count of regions.">GetRegionCount</a> () <span class="keyword">const</span> = 0;
<a name="l00392"></a>00392 
<a name="l00396"></a>00396   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiPcZoneManager.html#a54f5a59dfcb1e030d43bc78408e1c9d6" title="Get the specified region.">GetRegion</a> (<span class="keywordtype">int</span> idx) <span class="keyword">const</span> = 0;
<a name="l00397"></a>00397 
<a name="l00401"></a>00401   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiPcZoneManager.html#abd76fe51e6da72e9913d57637d71fb44" title="Get the specified region.">FindRegion</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* name) <span class="keyword">const</span> = 0;
<a name="l00402"></a>00402 
<a name="l00407"></a>00407   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#a732aeeded953d977c9b0e0e96c8e701a" title="Delete the given region.">RemoveRegion</a> (<a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* region) = 0;
<a name="l00408"></a>00408 
<a name="l00412"></a>00412   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#a1d52507de3b78b0d1332bbb06bd8a7f2" title="Remove all regions from this zone.">RemoveAllRegions</a> () = 0;
<a name="l00413"></a>00413 
<a name="l00417"></a>00417   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#af920920bd34f146ef01c7c5bc363b6d5" title="Find all valid starting locations in all current loaded regions.">FindStartLocations</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a>* regionnames,
<a name="l00418"></a>00418         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiStringArray.html">iStringArray</a>* startnames) = 0;
<a name="l00419"></a>00419 
<a name="l00425"></a>00425   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcZoneManager.html#af0ac2ea2e53b7aa6091dde8e27a1a9f5" title="Return the last used region and startname for PointCamera() or PointMesh().">GetLastStartLocation</a> (<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a>* regionname,
<a name="l00426"></a>00426         <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiString.html">iString</a>* startname) = 0;
<a name="l00432"></a>00432   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structiPcZoneManager.html#a450fe5de0441e4215a9495ee11feb2c5" title="Return the last used region name for PointCamera() or PointMesh().">GetLastStartRegionName</a> () = 0;
<a name="l00433"></a>00433 
<a name="l00438"></a>00438   <span class="keyword">virtual</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structiPcZoneManager.html#a092e0d840b6b4998aba8f79e72c70f19" title="Return the last used startname name for PointCamera() or PointMesh().">GetLastStartName</a> () = 0;
<a name="l00439"></a>00439 
<a name="l00456"></a>00456   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b" title="Take the specified region (by name), load all zones associated with that region and then setup the gi...">PointCamera</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* entity, <span class="keyword">const</span> <span class="keywordtype">char</span>* regionname,
<a name="l00457"></a>00457         <span class="keyword">const</span> <span class="keywordtype">char</span>* startname = 0) = 0;
<a name="l00458"></a>00458 
<a name="l00475"></a>00475   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22" title="Take the specified region (by name), load all zones associated with that region and then place the gi...">PointMesh</a> (<span class="keyword">const</span> <span class="keywordtype">char</span>* entity, <span class="keyword">const</span> <span class="keywordtype">char</span>* regionname,
<a name="l00476"></a>00476         <span class="keyword">const</span> <span class="keywordtype">char</span>* startname = 0) = 0;
<a name="l00477"></a>00477 
<a name="l00484"></a>00484   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcZoneManager.html#a0de36b9d1873b1d105fd3e443e71d704" title="Activate some region.">ActivateRegion</a> (<a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* region,
<a name="l00485"></a>00485       <span class="keywordtype">bool</span> allow_entity_addon = <span class="keyword">true</span>) = 0;
<a name="l00486"></a>00486 
<a name="l00490"></a>00490   <span class="keyword">virtual</span> <a class="code" href="structiCelRegion.html" title="A region.">iCelRegion</a>* <a class="code" href="structiPcZoneManager.html#a35b712c725653574c699ba0805221e54" title="Get the region containing the specified entity.">FindRegionContaining</a> (<a class="code" href="structiCelEntity.html" title="This is an entity in the CEL layer at the PL (physical layer) side.">iCelEntity</a>* ent) = 0;
<a name="l00491"></a>00491 };
<a name="l00492"></a>00492 
<a name="l00493"></a>00493 <span class="preprocessor">#endif // __CEL_PF_ZONE__</span>
<a name="l00494"></a>00494 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
